Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 601632 - utf-8 regression on hosted web pages
utf-8 regression on hosted web pages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Stable
All Linux
high Severity high
: ---
: ---
Assigned To: Sebastian Skracic
Red Hat Network Quality Assurance
https://rhn.redhat.com/errata/RHSA-20...
regression, Rally US3396
:
Depends On:
Blocks: rhn-sprint48
  Show dependency treegraph
 
Reported: 2010-06-08 07:11 EDT by Mark J. Cox
Modified: 2013-01-10 05:42 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 16:53:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox 2010-06-08 07:11:42 EDT
The errata we push to RHN contain utf-8 in some of the fields, and this used to appear correctly on the generated errata pages.  Sometime in the last few months this broke.

Example:
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=9962  
correctly shows the name "Rafaël"

but
https://rhn.redhat.com/errata/RHSA-2010-0458.html
shows the name as "Rafael"

Other errata we previously pushed, back as far as 2003, that used to correctly display utf-8 no longer do so on the /errata/ pages.  

(It is very important that we give the correct credits to people that find security issues and report them responsibly to us, and currently these names are being incorrectly shown).
Comment 5 Sebastian Skracic 2010-07-02 09:24:02 EDT
Here are the above URLs in PROD:

https://rhn.redhat.com/errata/RHSA-2005-562.html  (search for Gael/Gaël)
https://rhn.redhat.com/network/software/packages/change_log.pxt?pid=418477
(search for Raphael/Raphaël)

Note You need to log in before you can comment on or make changes to this bug.